curl --request GET \
--url https://api.conta.paybeehive.com.br/v1/transactions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.conta.paybeehive.com.br/v1/transactions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.conta.paybeehive.com.br/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 12345,
"amount": 500,
"refundedAmount": 0,
"companyId": 77,
"installments": 1,
"paymentMethod": "credit_card",
"status": "paid",
"postbackUrl": "https://webhook.minhaloja.com/bee",
"metadata": {
"provider": "CustomCheckout",
"user_email": "cliente@exemplo.com",
"order_id": "CC-20260121-000392",
"checkout_url": "https://seguro.minhaloja.com.br/checkout/sucesso?order_id=CC-20260121-000392",
"shop_url": "https://minhaloja.com.br"
},
"traceable": false,
"secureId": "sec_abc123",
"secureUrl": "https://checkout.paybeehive.com/sec_abc123",
"createdAt": "2026-01-04T12:00:00Z",
"updatedAt": "2026-01-04T12:00:10Z",
"paidAt": "2026-01-04T12:00:20Z",
"ip": "189.10.20.30",
"externalRef": "order_123",
"customer": {
"name": "Bruce Wayne",
"email": "bruce@wayne.com",
"document": {
"number": "12345678909",
"type": "cpf"
},
"externalRef": "cust_ext_001",
"phone": "+5511999999999",
"birthdate": "1990-01-01",
"address": {
"street": "Av. Brigadeiro Faria Lima",
"streetNumber": "1811",
"complement": "Conj 1119",
"neighborhood": "Itaim Bibi",
"city": "São Paulo",
"state": "SP",
"zipCode": "01452001",
"country": "BR"
},
"id": 123,
"createdAt": "2026-01-04T12:00:00Z"
},
"address": {
"street": "Av. Brigadeiro Faria Lima",
"streetNumber": "1811",
"complement": "Conj 1119",
"neighborhood": "Itaim Bibi",
"city": "São Paulo",
"state": "SP",
"zipCode": "01452001",
"country": "BR"
},
"card": {
"id": 10,
"hash": "card_hash_abc",
"number": "4111111111111111",
"holderName": "Bruce Wayne",
"expirationMonth": 12,
"expirationYear": 2030,
"cvv": "123",
"brand": "visa",
"lastDigits": "1111",
"reusable": true,
"createdAt": "2026-01-04T12:00:00Z"
},
"boleto": null,
"pix": null,
"shipping": {
"address": {
"street": "Av. Brigadeiro Faria Lima",
"streetNumber": "1811",
"complement": "Conj 1119",
"neighborhood": "Itaim Bibi",
"city": "São Paulo",
"state": "SP",
"zipCode": "01452001",
"country": "BR"
},
"fee": 0,
"deliveryDate": "2026-01-10"
},
"refusedReason": null,
"items": [
{
"title": "Produto X",
"unitPrice": 5000,
"quantity": 1,
"tangible": true,
"externalRef": "item_ext_001"
}
],
"splits": [
{
"recipientId": 321,
"amount": 500,
"netAmount": 475
}
],
"refunds": [
{
"id": 999,
"amount": 5000,
"createdAt": "2026-01-04T12:10:00Z"
}
],
"fee": {
"fixedAmount": 199,
"spreadPercentage": 349,
"estimatedFee": 320,
"netAmount": 4680
}
}
]{
"message": "Invalid request",
"code": "bad_request",
"details": {}
}{
"message": "Invalid request",
"code": "bad_request",
"details": {}
}{
"message": "Invalid request",
"code": "bad_request",
"details": {}
}Listar transações
Lista transações com filtros.
Authorizations
Basic Authorization usando SECRET_KEY como usuário e "x" como senha.
Query Parameters
ID da transação.
Formas de pagamento (credit_card,boleto,pix).
Status (processing,authorized,paid,refunded,waiting_payment,refused,chargedback,canceled,in_protest,partially_paid).
Status de entrega (waiting,in_transit,delivered).
Número de parcelas (1 a 12). Se mais de 1, separado por vírgula.
Nome do cliente.
Email do cliente.
Documento do cliente.
Telefone do cliente.
Status de entrega gerenciado pelo painel.
Response
Lista de transações
12345
500
0
77
1
"credit_card"
"paid"
"https://webhook.minhaloja.com/bee"
Show child attributes
Show child attributes
false
"sec_abc123"
"https://checkout.paybeehive.com/sec_abc123"
"2026-01-04T12:00:00Z"
"2026-01-04T12:00:10Z"
"2026-01-04T12:00:20Z"
"189.10.20.30"
"order_123"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
null
null
Show child attributes
Show child attributes
null
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes